import os

from cryptography.fernet import Fernet

from rion import errors


def gen_keys() -> bytes:
    return Fernet.generate_key()


def safe_key() -> None:
    try:

        os.makedirs('/.rion/key')
    except FileExistsError:
        errors.patherror()
    finally:
        with open('deineDatei.txt', 'r') as file:
            print(file.read())


key = Fernet.generate_key()
f = Fernet(key)
token = f.encrypt(b"A really secret message. Not for prying eyes.")
f.decrypt(token)

f.decrypt(token)
